Bug 21263 - libpng is incompatible with pdftex
libpng is incompatible with pdftex
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
: 22447 22949 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-11-22 15:07 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-27 21:11:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-22 15:07:50 EST
e.g.  actual error report is '...

libpng error: Application must be recompiled; version 1.0.6 was

Error: pdflatex (file calmodulin.png): png_create_read_struct() failed

...'   The same files work on an identical machine running RedHat 6.2
Comment 1 romano 2000-11-24 03:33:57 EST
It should be sufficient a tetex-pdflatex recompile. Due to the quite
big work involved, could someone do it at RH and put an update out? 
I think this could well be marked as a critical bug (if you need pdflatex). 

By the way. Shouldn't incompatible API changes on dynamic library 
bumps the mayor revision number?
Comment 2 romano 2000-12-04 04:35:11 EST
Well, I think I solved it. 
It's not a problem of just recompilation: there is a bug in the tetex
source package. In spite of being configured with --with-system-pnglib, 
there are object files compiled against it's internal libpng header files.

What I did is to add this hack to the spec file: 
--- tetex.spec  Mon Dec  4 08:46:35 2000
+++ tetex-r.spec        Mon Dec  4 08:46:35 2000
@@ -242,6 +242,11 @@
        --with-system-ncurses --with-system-zlib --with-system-pnglib \
        --disable-multiplatform --without-dialog --without-texinfo \
+rm -rf libs/libpng
+mkdir libs/libpng
+ln -s /usr/include/png.h libs/libpng/png.h
+ln -s /usr/include/pngconf.h libs/libpng/pngconf.h

I made available the spec-file and the recompiled rpms at 

I added a R to the release (I am not official related to RH, so I did 
not feel in the right to bump the build number, especially with a so 
ugly hack). 
Comment 3 Jeff Johnson 2000-12-27 21:10:58 EST
*** Bug 22447 has been marked as a duplicate of this bug. ***
Comment 4 Jeff Johnson 2000-12-27 21:20:34 EST
Fixed (by the hack you've suggested) in tetex-1.0.7-10. Thanks *very* much for
a fix.
Comment 5 Jeff Johnson 2000-12-28 12:02:26 EST
*** Bug 22949 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.